﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Post5675._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        var markersInfo = new Array();
        var markerUrl = 'marker_blue.gif';
        var markerWidth = 21;
        var markerHeight = 25;
        var markerOffsetX = -10.5;
        var markerOffsetY = -25;
        var tgMap = null;

        var OnMapCreating = function(map) {
            OpenLayers.Layer.Vector = OpenLayers.Class(OpenLayers.Layer.Vector, {
                onFeatureInsert: function(feature) {
                    var markerLayer = map.getLayer('FlagMarkers');
                    var size = new OpenLayers.Size(markerWidth, markerHeight);
                    var offset = new OpenLayers.Pixel(markerOffsetX, markerOffsetY);
                    var icon = new OpenLayers.Icon(markerUrl, size, offset);
                    var marker = new OpenLayers.Marker(feature.geometry.bounds.getCenterLonLat(), icon.clone());
                    marker.id = new Date().toTimeString();
                    markerLayer.addMarker(marker);
                }
            });

            tgMap = map;
        }
    </script>

    <style>
        input.button
        {
            width: 200px;
            height: 20px;
            font-size: 10px;
            font-family: Verdana;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <input type="hidden" runat="server" id="_MarkerInfo" name="_MarkerInfo" />
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
        <input type="button" value="Draw Point" class="button" onclick="Map1.SetDrawMode('Point'); return;" />
        <asp:Button runat="server" Text="Submit" CssClass="button" OnClientClick="onPostBacking(); return true;" OnClick="AddMarkers" />
        <asp:Button ID="Button1" runat="server" Text="Save" CssClass="button" OnClick="SaveClick" />

        <script type="text/javascript">
            var onPostBacking = function() {
                var markerLayer = tgMap.getLayer('FlagMarkers');
                for (var i = 0; i < markerLayer.markers.length; i++) {
                    var marker = markerLayer.markers[i];
                    var markerInfo = {};
                    markerInfo.Id = marker.id;
                    markerInfo.Width = markerWidth;
                    markerInfo.Height = markerHeight;
                    markerInfo.OffsetX = markerOffsetX;
                    markerInfo.OffsetY = markerOffsetY;
                    markerInfo.Url = markerUrl;
                    markerInfo.X = marker.lonlat.lon;
                    markerInfo.Y = marker.lonlat.lat;

                    markersInfo.push(markerInfo);
                }

                $get('_MarkerInfo').value = Sys.Serialization.JavaScriptSerializer.serialize(markersInfo);
            }
        </script>

    </div>
    </form>
</body>
</html>
